#!/bin/bash
# -------------------------------
# Copyright : LumenVox LLC
# Author    : shyam@lumenvox.com
# -------------------------------

ServicesList=(
# List your services here, one per line. They will be checked in the order
# listed. To disable any service from being checked, simply add a '#' at the
# beginning of the line.
lvsred
lvlicensed
lvmediaserverd
# End of list
)


# Do not edit below this line
# ------------------------------------------------------------------------------


check_and_restart()
{
	echo Checking $1 ...
	status=`/etc/init.d/$1 status`

	returnCode=$?
	if [ $returnCode -ne 0 ] && [ -z "`echo $status | grep -i running`" ]; then
		echo "    Return Code   :" $returnCode
		echo "    Current Status:" $status
		echo "    (Re)Starting ..."
		/etc/init.d/$1 start
	fi
}


len=${#ServicesList[*]}
idx=0

date
echo "----------------------------"

while [ $idx -lt $len ]; do
	check_and_restart ${ServicesList[$idx]}
	let idx++
done

echo "----------------------------"

